# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Dec 15 22:37:55 2022
# ------------------------------------------------

package:
  name: traitlets
  version: 5.7.1
source:
  sha256: fde8f62c05204ead43c2c1b9389cfc85befa7f54acb5da28529d671175bb4108
  url: https://pypi.io/packages/source/t/traitlets/traitlets-5.7.1.tar.gz
build:
  number: '0'
  script: /croot/traitlets_1671143879854/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
  string: py310h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2022.10.11 h06a4308_0
    - certifi 2022.9.24 py310h06a4308_0
    - editables 0.3 py310h06a4308_0
    - hatchling 1.8.0 py310h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1s h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pathspec 0.9.0 py310h06a4308_0
    - pip 22.3.1 py310h06a4308_0
    - pluggy 1.0.0 py310h06a4308_1
    - pyparsing 3.0.9 py310h06a4308_0
    - python 3.10.8 h7a1cb2a_1
    - readline 8.2 h5eee18b_0
    - setuptools 65.5.0 py310h06a4308_0
    - sqlite 3.40.0 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py310h06a4308_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.8 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - python >=3.10,<3.11.0a0
test:
  commands:
    - pip check
  imports:
    - traitlets
    - traitlets.config
  requires:
    - pip
    - python >=3.10,<3.11.0a0
about:
  description: 'Traitlets is a framework that lets Python classes have attributes
    with

    type checking, dynamically calculated default values, and "on change"

    callbacks.

    '
  dev_url: https://github.com/ipython/traitlets
  doc_source_url: https://github.com/ipython/traitlets/blob/master/docs/source/index.rst
  doc_url: https://traitlets.readthedocs.org/en/stable/
  home: http://traitlets.readthedocs.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: COPYING.md
  summary: Configuration system for Python applications
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 8b8e7a0d-3ca6-43b7-aaed-dedfa3d55c95
  recipe-maintainers:
    - Carreau
    - SylvainCorlay
    - blink1073
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
    - rmorshea
    - takluyver
    - zsailer
  remote_url: git@github.com:AnacondaRecipes/traitlets-feedstock.git
  sha: 55b4ea31c2c13dd2bd055f45fa14c715dd92577e
